echo off

if "%1" == "" goto Help

if "%1" == "lpt1"  goto Valid
if "%1" == "lpt1:" goto Valid
if "%1" == "lpt2"  goto Valid
if "%1" == "lpt2:" goto Valid
if "%1" == "lpt3"  goto Valid
if "%1" == "lpt3:" goto Valid

if "%1" == "LPT1"  goto Valid
if "%1" == "LPT1:" goto Valid
if "%1" == "LPT2"  goto Valid
if "%1" == "LPT2:" goto Valid
if "%1" == "LPT3"  goto Valid
if "%1" == "LPT3:" goto Valid


if "%1" == "com1"  goto Valid
if "%1" == "com1:" goto Valid
if "%1" == "com2"  goto Valid
if "%1" == "com2:" goto Valid

if "%1" == "COM1"  goto Valid
if "%1" == "COM1:" goto Valid
if "%1" == "COM2"  goto Valid
if "%1" == "COM2:" goto Valid


goto Help

:Valid
copy /b laffer.out %1
goto Done

:Help
echo This batch file helps you print the standard Laffer Utilities output file.
echo ÿ
echo To print your "Laffer.out" file, type "prntlaff {port}"
echo Just be sure to replace "{port}" with either LPT1, LPT2, LPT3, COM1 or COM2.

:Done
